
Digicom 54C wireless router White
Model 54CPart no. 8E4410EAN 2600404000408
39 specifications
- Speed0.054 Gbit/s
- Weight350 g
- ColourWhite
- Channels quantity13 channels
- Ethernet LANYes
- Ethernet LAN (RJ-45) ports4
Overview
- Speed
- 0.054 Gbit/s
- Weight
- 350 g
- Colour
- White
- Channels quantity
- 13 channels
- Ethernet LAN
- Yes
- Ethernet LAN (RJ-45) ports
- 4
- Brand
- Digicom
- Category
- Wireless Router
- Model
- 54C
- Part numbers
- 8E4410, 8E4423
- EAN / UPC
- 2600404000408, 2600404000439, 8030476004198, 8030476004150
- Also known as
- Digicom 54C wireless router White
Specifications
39 specifications in 12 groups
Wireless LAN features
| Specification | Value |
|---|---|
| Channels quantity | 13 channels |
| Modulation | DSSS |
Network
| Specification | Value |
|---|---|
| Ethernet LAN | Yes |
| Supports ISDN connection | No |
| VPN support | VPN Passthrough (L2TP/PPTP/IPSec) |
DSL features
| Specification | Value |
|---|---|
| ADSL | Yes |
| DSL specification | ADSL2/2+ |
Ports & interfaces
| Specification | Value |
|---|---|
| Ethernet LAN (RJ-45) ports | 4 |
| RJ-11 ports quantity | 1 |
| DC-in jack | Yes |
Management features
| Specification | Value |
|---|---|
| Web-based management | Yes |
| Quality of Service (QoS) support | Yes |
Security
| Specification | Value |
|---|---|
| Security algorithms | WEP, WPA, WPA2, WPS |
| Authentication method | RADIUS |
| Stateful Packet Inspection (SPI) | Yes |
| Filtering | Yes |
| MAC address filtering | Yes |
| DMZ support | Yes |
Protocols
| Specification | Value |
|---|---|
| DHCP client | Yes |
| DHCP server | Yes |
| Universal Plug and Play (UPnP) | Yes |
Design
| Specification | Value |
|---|---|
| Product colour | White |
| LED indicators | LAN, Power |
Antenna
| Specification | Value |
|---|---|
| Antenna design | External |
Features
| Specification | Value |
|---|---|
| Firmware upgradeable | Yes |
Weight & dimensions
| Specification | Value |
|---|---|
| Weight | 350 g |
Other features
| Specification | Value |
|---|---|
| Bandwidth | 2.4 GHz |
| Data transfer rate | 54 Mbit/s |
| Dimensions (WxDxH) | 160 x 145 x 30 mm |
| Downstream data rate | 24 Mbit/s |
| Input current | 1 A |
| Maximum data transfer rate | 0.054 Gbit/s |
| Networking features | Wi-Fi |
| Power requirements | 12VDC |
| Power supply type | 12VDC |
| Supported protocols | RFC-2364 (PPPoA), RFC-2516 (PPPoE), RFC-1483 (Bridged and Routed), ENET ENCAP |
| Upstream data rate | 1 Mbit/s |
| WLAN data transfer rates supported | 54 Mbit/s |
| xDSL connection | Yes |
What people say
Reviews & ratings
Digicom 54C wireless router White
No reviews yet
Be the first to tell others how Digicom 54C wireless router White works for you.
Write the first review- Every rating countsLow ratings are never hidden, removed or pushed down.
- Written by people, never paidNo incentives, no edits — only spam and abuse are removed.
- Private by designOnly the name you choose is shown. No account, no e-mail, nothing tracked.
Compare Digicom 54C wireless router White
All wireless router comparisons- Digicom 54C wireless router White vsDigicom 3G WLLCompare specs
- Digicom 54C wireless router White vsDigicom 8E4424 wireless router Fast Ethernet WhiteCompare specs
- Digicom 54C wireless router White vsDigicom 300C wireless router WhiteCompare specs
- Digicom 54C wireless router White vsDigicom Pro VCompare specs
- Digicom 54C wireless router White vsD-Link DIR655 + DWA-140Compare specs
- Digicom 54C wireless router White vsNilox 16NX070100001 wireless router WhiteCompare specs
- Digicom 54C wireless router White vsASUS RT-N13U wireless router Fast Ethernet WhiteCompare specs
- Digicom 54C wireless router White vsASUS RT-N16 wireless router Gigabit EthernetCompare specs
Similar products
All wireless routersNETGEAR
RAX70 wireless router Gigabit Ethernet Tri-band (2.4 GHz
Model RAX70
- Memory
- 1024 MB
- Speed
- Wi-Fi 6 (802.11ax)
- Type
- Tabletop router
ASUS
RT-AC1900U wireless router Gigabit Ethernet Dual-band (2.4 GHz
Model RT-AC1900U
- Speed
- Wi-Fi 5 (802.11ac)
- Type
- Tabletop router
- Weight
- 660 g
Cudy
5G SA/NSA AX3000 Wi-Fi 6 Router, P4 1.0
- Memory
- 512 MB
- Speed
- Wi-Fi 6 (802.11ax)
- Type
- Desktop/pole router
Cudy
P5 wireless router Gigabit Ethernet Dual-band (2.4 GHz
Model P5
- Memory
- 256 MB
- Speed
- Wi-Fi 6 (802.11ax)
- Type
- Tabletop router
TP-Link
Archer AXE5400 Tri-Band Gigabit Wi-Fi 6E Router
Model AX5400
- Speed
- Wi-Fi 6E (802.11ax)
- Type
- Tabletop router
- Weight
- 710 g
Cudy
5G SA/NSA BE3600 Wi-Fi 7 Router, P6 1.0
- Memory
- 1024 MB
- Speed
- Wi-Fi 7 (802.11be)
- Type
- Desktop/pole router
Cudy
AX3000 2.5G Mesh Wi-Fi 6 Router, WR3000H 1.0
- Memory
- 256 MB
- Speed
- Wi-Fi 6 (802.11ax)
- Type
- Desktop/pole router


















